Download it now!
Bug 51253 - EDITING: CRASH when undo leads to a deleted style
Summary: EDITING: CRASH when undo leads to a deleted style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-06-20 02:34 UTC by Rainer Bielefeld Retired
Modified: 2013-05-02 12:06 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
MacOS X log file for crash with bug 51253, LibreOffice 3.5.4.2 (49.75 KB, text/plain)
2012-06-21 07:58 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-06-20 02:34:35 UTC
Steps how to reproduce with server-installation of Master " 3.7.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: b255de8]" (tinderbox: Win-x86@6-fast, pull time 2012-06-05 23:16:58): Follow instructions in original AOOo Bug.

Crash already reproducible with OOo 3.2-dev, so I believe problem is inherited from OOo.

Crash also reproducible with LibO 3.5.3 / Ubuntu 12 (VirtualBox)
Comment 1 Rainer Bielefeld Retired 2012-06-20 02:37:43 UTC
NEW due to AOOo Bug

@Thorsten:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 2 Roman Eisele 2012-06-21 07:58:06 UTC
Created attachment 63307 [details]
MacOS X log file for crash with bug 51253, LibreOffice 3.5.4.2

I have tried to reproduce this bug with LibreOffice 3.5.4.2 on MacOS X 10.6.8, in order to get a MacOS log file which may include some information which could be helpful to track this issue down. The crash happened as advertised ;-)

You will find the log file attached. Hope it helps ...
Comment 3 bfoman (inactive) 2012-06-29 05:01:12 UTC
https://issues.apache.org/ooo/show_bug.cgi?id=120015 status:
RESOLVED FIXED
patches available
Comment 4 Joel Madero 2012-07-05 14:20:41 UTC
Can we mark this as resolved then?
Comment 5 Roman Eisele 2012-07-05 23:47:56 UTC
(In reply to comment #4)
> Can we mark this as resolved then?

No; it's fixed in AOO, but not (yet) in LibO -- just read comment #3 ;-)
Comment 6 Joel Madero 2013-02-12 22:41:07 UTC
Moving to 3.6 MAB as we're closing the 3.5 tracker. This bug still appears in master built a few days ago
Comment 7 Jorendc 2013-03-10 17:47:32 UTC
Also reproducible using writer. Therefore I change component from 'Presentation' to 'LibreOffice'.

Can we cherry-pick the AOO patch?
Comment 8 Michael Meeks 2013-04-30 14:47:20 UTC
fixed in master, Thorsten to review for -4-0.

Thanks for filing ! :-)
Comment 9 Thorsten Behrens (CIB) 2013-05-02 12:06:21 UTC
Fix pushed to -4-0 as well: http://cgit.freedesktop.org/libreoffice/core/commit/?id=f57fbde51a16d3d7f73eba67420a506d82e16cda